* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html {
    overflow: auto;
}

body {
    margin: 0;
    height: 100vh;
    width: 100%;
    background-color: #2c3e50; /* Darker background color */
    
    padding: 0;
    font-family: 'Courier New', Courier, monospace; 
    color: #fff; /* White text color */
    
    
}

header {
    border: 0.01px solid #2c3e50;
    padding: 0;
    width: 100%;
    height: 100vh;
    background: url('../assets/avatar-transparent.png');
    background-size: 45%, 50%,cover;
    background-position: right;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: #2c3e50;
    /*transition: background-color 0.3s, backdrop-filter 0.3s;*/
    padding: 0 10px;
}



.menu ul {
    height: 50px;
    margin: 0;
    padding: 0;
    display: flex;
}

.menu li {
    list-style: none;
}

.menu li a {
    text-decoration: none;
    color: #FFD700; /* White text color */
    padding: 1rem;
    display: block;
    font-size: 20px;
}


.menu li a:hover, .menu li a:active{  
    color: wheat; /* White text color */
}

.active-nav-link{
    color: wheat !important;
}


.logo {
    color: #fff; /* White text color */
    font-size: 20px;
    padding-left: 10px;
    letter-spacing: 5px;
}

.logo span {
    /*color: #FFD700;*/
}

.logo i {
  vertical-align: 0.01em; /* Adjust this value as needed */
}

.toggle-button {
    position: absolute;
    top: 0.75rem;
    right: 1rem;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 21px;
}

.toggle-button .bar {
    height: 3px;
    width: 100%;
    background-color: #fff; /* White color for toggle button bars */
    border-radius: 10px;
}

.greeting {
    color: #fff; /* White text color */
    margin-top: 300px;
    margin-left: 200px;
    max-width: 400px;
}

.greeting h1 {
    font-size: 50px;
    margin: 10px 0px;
}

.greeting p {
    font-size: 25px;
}

.c-btn {
    border: 1px solid white;
    outline: none;
    background-color: transparent; /* Make the background transparent */
    padding: 15px;
    margin-top: 30px;
    font-size: 18px;
    border-radius: 10px;
}


.c-btn:hover a {
    color: #FFD700; /* White text color on hover */
}

#about {
        padding: 60px 10px 60px 10px;
    background-color: #34495e; /* Darker background color */
    text-align: center;
}

section {
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.2); /* Add shadow to all sections */
    padding: 70px;
}

.section-info {
    font-weight: bold;
    text-align: center;
}

.section-info h1 {
    font-size: 50px;
}

.section-info p {
    font-size: 20px;
    color: #FFD700;
}

.about-row {
    padding-top: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.about-left-col {
    flex-basis: 50%;
}

.about-left-col img {
    border-radius: 50%; /* Rounded corners */
    width: 80%; /* Adjust the width as needed */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Drop shadow for depth */
    border: 4px solid #fff; /* White border for contrast */
    transition: all 0.3s ease-in-out; /* Smooth transition for hover effect */
}

.about-left-col img:hover {
    transform: scale(1.05); /* Scale up slightly on hover */
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2); /* Increase shadow on hover */
}

.about-right-col {
    flex-basis: 50%;
}

.c-btn .cv,
.c-btn .hire {
    text-decoration: none;
    color: #fff; /* White text color */
}

.c-btn .cv {
    text-decoration: none;
    color: #fff; /* White text color */
}

.c-btn:hover {
    cursor: pointer;
}

#p-title {
    font-size: 20px;
    font-weight: bold;
    margin: 25px 0;
    text-align:left;
    background-color: transparent;
    border-left: 1px solid white;
    padding: 10px;
    margin-bottom: 25px;
}


#p-text {
    font-size: 20px;
    text-align:left;
    margin-bottom: 25px;
}

#skills {
    padding: 60px 10px 60px 10px;
}

.skills-row {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
    padding: 10px;
}

.skill-logo {
    width: 65px;
    margin: 20px;
    transition: transform 0.3s ease-in-out;
    border-radius:  0px;
}

.skill-logo:hover {
    transform: scale(1.2);
}

#hobbies {
   padding: 60px 10px 60px 10px;
    background-color: #34495e;
    text-align: center;
}

.hobbies-group {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    padding: 10px;
}

.hobby {
    margin: 20px;
}

.fa-solid,
.fa-brands {
    font-size: 60px;
}

.hobby p {
    color: #fff; /* White text color */
    margin: 15px;
}

#contact {
    padding: 50px 0;
    text-align: center;
}

.window {
    position: relative;
    width: 600px;
    height: 360px;
    border: 2px solid #ccc;
    background-color: #000;
    color: #fff;
    overflow: hidden;
    margin: 0 auto; /* Center the window horizontally */
    box-shadow: 3px 15px 20px rgba(0, 0, 0, 0.2); 
}

.window-header {
    background-color: #333;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.window-controls button {
    width: 15px;
    height: 15px;
    margin-left: 5px;
    border-radius: 50%;
    border: none;
    cursor: pointer;
}

.close-btn {
    background-color: #ff5f56; /* Red color for close button */
}

.minimize-btn {
    background-color: #ffbd2e; /* Yellow color for minimize button */
}

.tab-btn {
    background-color: #4cd964; /* Green color for tab button */
}

.window-content {
    padding: 20px;
}

.command-prompt {
    margin: 0;
}

.command-prompt input[type="text"],
.command-prompt input[type="email"],
.command-prompt textarea {
    width: calc(100% - 10px);
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #fff;
    color: #fff;
    margin-bottom: 10px;
    padding: 10px 12px;
    font-family: monospace;
    font-size: 19px;
}

.command-prompt input[type="text"]:focus,
.command-prompt input[type="email"]:focus,
.command-prompt textarea:focus {
    outline: none;
    border-color: #3498db;
}

@keyframes blink {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.prompt::after {
    content: "|";
    animation: blink 1s infinite;
    display: inline-block;
    vertical-align: middle;
}

.prompt:hover{
    cursor:pointer;
}
.submit-btn {
    background-color: #3498db;
    color: #fff;
    border: none;
    width:100%;
    padding: 10px 20px;
    margin-top:15px;
    cursor: pointer;
    font-family: monospace;
    font-size: 16px;
}

.submit-btn:hover {
    background-color: #2980b9;
}


.hidden {
    display: none;
    visibility: hidden;
}

.fixed {
    backdrop-filter: blur(10px); /* Apply blur effect */
}

nav .scrolling-logo {
    color: #FFD700;
}

footer {
    background-color: #34495e;
    color: #fff;
    padding: 20px 10px;
    text-align: center;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.footer-content p {
    margin: 0;
}

.social-icons {
    display: flex;
}

.social-icon {
    color: #fff;
    font-size: 20px;
    margin: 0 8px;
    transition: color 0.3s;
}

.social-icon:hover {
    color: #FFD700;
}


@media (max-width: 930px) {

    header{
        position: relative;
        background: url('../assets/ava_cropped_transparent.png');
        background-size:cover;
        background-position: center;
        background-attachment:inherit;
    }



    .toggle-button{
        display:flex;
    }

    .menu {
        display: none;
        width:100%;;
    }

    .menu a:hover{
        /* border-bottom:3px solid whitesmoke; */
        transition: 0.3s;
    }

    .logo{
        font-size: 20px;
    }

    .logo span{
        /*color:#FFD700;*/
    }

  

    .navbar{
        flex-direction: column;
        align-items: flex-start;
        padding: 10px 0;
    }

   

    .menu ul{
        width: 100%;
        height:280px;
        padding-bottom: 300px;
        flex-direction: column;
    }

    .menu li{
        height:60px;
        text-align: left;
    }

    .menu li a{
        margin-top:12px;
        padding: 0.5rem 1rem;
    }

    .menu.active{
        display: flex;
        height:250px;
    }
    
 

    .greeting{
        margin: 0 auto;
        position:absolute;
        top:44%;
        left:10px;
        -webkit-text-stroke: 0.1px black;
        color: white;
        text-shadow:
        1px 1px 0 #000,
        -1px -1px 0 #000,  
        1px -1px 0 #000,
        -1px 1px 0 #000,
        1px 1px 0 #000;

    }

    .greeting p{
        font-size: 24px;
    }

    .greeting h1{
        font-size: 30px;
    }

    .about-left-col{
        flex-basis: 100%;
        margin-bottom: 100px;
    }
    
   
    .about-right-col{
        flex-basis: 100%;
    }

    #p-title{
        font-size: 20px;
    }

    #p-text{
        font-size: 15px;
    }

    .skills-row{
        width: 100%;
        padding-top: 25px;
    }

    .skills-left-col{
        flex-basis: 100%;
    }

    .skills-right-col{
        flex-basis: 100%;
    }

    .hobbies-group{
        padding: 20px 50px;
        justify-content: center;
        align-items: center;
    }

    .hobby{
        margin:30px;
    }

    .progress-div{
        position: relative;
        width: 100%;
        margin:auto;
    }

    progress{
        width: 80%;
    }
    
    .about-left-col{
        margin-bottom: 20px;
    }
    
    .about-left-col img {
   
        width: 100%; 

    }

 
    .progress-div p{
        margin-bottom: 10px;
        font-size: 20px;
        padding-left: 40px;
        text-align: justify;
    }


    #contact {
        padding: 50px 20px; /* Reduce padding */
    }

    .contact-row {
        flex-direction: column; /* Stack items vertically */
        align-items: center; /* Center align items */
    }

    .contact-form {
        width: 100%; /* Make form full width */
        max-width: 600px; /* Limit form width */
    }

    .window {
        width: 90%; /* Adjust window width */
        height: 350px;
    }

    .window-header {
        justify-content: center; /* Center align buttons */
    }

    .window-controls {
        margin-right: 50px; /* Adjust margin */
    }
    
    #command-line-form input, #command-line-form textarea{
        font-size: 14px;
        border-radius:0px;
        outline:none;
    }

    /* Adjustments for the footer */
    footer {
        padding: 15px 0; /* Reduce padding */
    }

    .footer-content {
        flex-direction: column; /* Stack content vertically */
        text-align: center; /* Center align content */
    }

    .social-icons {
        margin-top: 10px; /* Add some space between text and icons */
    }

    .social-icon {
        margin: 0 5px; /* Reduce margin between icons */
    }

  

}